[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.Dataset

Dataset to which this parameter belongs

## Declaration

Source position: db.pas line 1189

`public property TParam.Dataset: TDataSet read GetDataset;`

## Description

Dataset is the dataset that owns the TParams instance of which this TParam instance is a part. It is Nil if the collection is not set, or is not a TParams instance.

## See also

TDataset |  | Base class for records-based data-access
TParams |  | A collection of parameter values for SQL-based datasets

The latest version of this document can be found at lazarus-ccr.sourceforge.net.